package de.frankmuenster.jameica.depot.gui.action;

import de.frankmuenster.jameica.depot.db.rmi.Wertpapier;
import de.frankmuenster.jameica.depot.gui.views.AnalysenView;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.util.ApplicationException;

/**
 * Zeigt die Analysen-View.
 * 
 * @author munstfr
 * @version 1.0
 * 
 */
public class ShowAnalysen implements Action {

	/**
	 * Standart Konstruktor
	 */
	public ShowAnalysen() {
		// absichtlich leer
	}

	/**
	 * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
	 */
	@Override
	public void handleAction(final Object context) throws ApplicationException {

		Wertpapier wertpapier = null;

		// check if the context is a project
		if (context instanceof Wertpapier) {
			wertpapier = (Wertpapier) context;
			// ok, lets start the dialog
			GUI.startView(AnalysenView.class.getName(), wertpapier);
		}
	}

}
