/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.kursanalyse.dialog;

import de.willuhn.jameica.gui.dialogs.AbstractDialog;

/**
 * Abstrakte Klasse f&uuml;r einen Parameter-Dialog.
 * 
 * @param <P> 
 * 
 * @author munstfr
 * @version 1.0

 */
public abstract class AbstractAddAnalyseDialog<P> extends
		AbstractDialog<Object> {

	/**
	 * Konstruktor mit Angabe der Position.
	 * 
	 * @param position
	 */
	public AbstractAddAnalyseDialog(final int position) {
		super(position);
	}

	/**
	 * Konstruktor mit Angabe der Position und der
	 * Gr&ouml;&szlig;en&auml;nderung.
	 * 
	 * @param position
	 * @param resizable
	 */
	public AbstractAddAnalyseDialog(final int position, final boolean resizable) {
		super(position, resizable);
	}

}
