/*
 * Copyright 2016 frankmuenster.de
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * http://ec.europa.eu/idabc/eupl
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.kursanalyse;

/**
 * Fehlerklasse f&uuml;r Anaylsen nicht gefunden.
 * 
 * @author munstfr
 * @version 1.0
 * 
 */
public class AnalyseNotInListeException extends Exception {

	/**
	 * Serial UID
	 */
	private static final long serialVersionUID = -7236832971721659564L;

	/**
	 * Konstruktor mit Angabe eines Fehlertextes.
	 * 
	 * @param string der Fehlertextes.
	 */
	public AnalyseNotInListeException(final String string) {
		super(string);
	}

}
